.mobile-nav {
    z-index: 900;
    top: rem(15);
    right: rem(15);
    position: fixed;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.header-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 850;
    position: fixed;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.header {
    top: 0;
    bottom: 0;
    right: 0;
    width: rem(280);
    z-index: 999;
    position: fixed;
    background: #f9f8ff;
    transform: translateX(300px);
    opacity: 0;
    transition: .3s;

    &__close {
        top: 0;
        right: 0;
        z-index: 100;
        border: none;
        outline: none;
        width: rem(40);
        height: rem(40);
        position: absolute;
        background: transparent;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 10px);
            z-index: 10;
            content: '';
            width: 20px;
            height: 2px;
            background: $black;
            position: absolute;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    &__wrap {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        padding: rem(20) rem(24);
        position: absolute;
        display: flex;
        flex-direction: column;
        overflow-y: auto;
    }

    &__logo {
        display: none;
    }

    &__nav {
        padding-top: rem(24);
        flex-grow: 1;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(20);
        margin-bottom: rem(40);

        &--item {

        }

        &--link {
            color: $black;
            padding: rem(8) 0;
            white-space: nowrap;
            display: inline-block;
            text-decoration: none;
            transition: .3s;

            &:hover {
                color: $yellow;
                text-decoration: none;
                transition: .3s;
            }
        }
    }

    &__phone {
        color: $black;
        font-size: rem(18);
        line-height: 1.45;
        white-space: nowrap;
        display: inline-block;
        text-decoration: none;
        margin-bottom: rem(24);
    }

    &__social {
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(lg) {

    }

    @include media-breakpoint-up(xl) {
        top: 0;
        left: 0;
        right: 0;
        opacity: 1;
        width: 100%;
        bottom: auto;
        position: fixed;
        transform: translateX(0);
        background-color: rgba(239,239,239,1);

        &__close {
            display: none;
        }

        &__wrap {
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            width: 1230px;
            height: rem(70);
            margin: 0 auto;
            padding: 0 15px;
            overflow: visible;
            position: relative;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;
        }

        &__logo {
            width: 123px;
            display: block;
            flex-shrink: 0;
        }

        &__nav {
            padding: 0;
            margin-bottom: 0;
            display: flex;
            flex-grow: 0;
            align-items: center;

            &--item {
                padding: 0 rem(15);
            }
        }

        &__phone {
            display: none;
        }

        &__button {
            margin: 0;
            width: rem(150);
            flex-shrink: 0;
            display: none;

            .btn {
                width: 100%;
                font-weight: 400;
                text-transform: uppercase;
            }
        }

        &__social {
            margin: 0;
            width: rem(150);
            flex-shrink: 0;
        }
    }
}


.hamburger {
    width: rem(48);
    height: rem(48);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: $yellow;
    border-radius: 50%;

    span,
    &:after,
    &:before {
        height: 2px;
        content: '';
        width: 22px;
        left: calc(50% - 11px);
        display: inline-block;
        position: absolute;
        transition: .3s;
        background-color: $black;
    }

    span {
        top: calc(50% - 1px);
    }

    &:after {
        top: calc(50% - 8px);
    }

    &:before {
        top: calc(50% + 6px);
    }

    &.hamburger--open {

    }
}

.social {
    font-size: 0;
    line-height: 0;
    display: flex;
    align-items: center;

    &__button {
        font-size: 0;
        line-height: 0;
        width: rem(30);
        height: rem(30);
        display: inline-block;
        margin-right: rem(12);
        fill: #383838;

        &:hover {
            fill: $yellow;
        }

        &--md {
            width: rem(48);
            height: rem(48);
            margin: 0 rem(4);
            fill: $black;
        }
    }

    @include media-breakpoint-up(xl) {

        &__button {
            margin: 0 0 0 rem(12);

            &--md {
                margin: 0 rem(4);
            }
        }
    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .header-layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    .header {
        opacity: 1;
        transform: translateX(0);
        transition: .3s;
    }
}
